com.mapinfo.midev.geometry

## Interface IPolygon

All Superinterfaces:
  IGeometry, Serializable

    public interface IPolygon
    extends IGeometry

An `IPolygon` is an `IGeometry` that consists of a single exterior `IRing` and zero or more interior `IRing`s that represent holes in the exterior ring.

See Also:
  `IGeometry`, `IRing`, `GeometryType.ALL_GEOMETRY_WITH_AREA_TYPE`, `GeometryType.ALL_NON_FEATURE_GEOMETRY_TYPE`

### Method Summary

All Methods Instance Methods Abstract Methods
`IPolygon` `getCopy()` Get a (permanent) copy of this `IGeometry`.
`IPolygon` `getCopy(CoordSys crs)` Get a (permanent) copy of this `IGeometry` transformed to the given coordinate system.
`IRing` `getExteriorRing()` Returns the exterior `IRing` of the `IPolygon`.
`int` `getInteriorRingCount()` Returns the number of interior `IRing`s.
`Iterator` `getInteriorRingIterator()` Returns an `Iterator` over the `IPolygon`'s interior `IRings`.

### Methods inherited from interface com.mapinfo.midev.geometry.IGeometry

`contains, getArea, getCoordSys, getDimension, getEnvelope, getPerimeter, getSpatialInfo, getType, isEmpty, isTransient, mAllSet, mSet, zAllSet, zSet`

### Method Detail

#### getExteriorRing

    IRing getExteriorRing()

Returns the exterior `IRing` of the `IPolygon`.

Returns:
  the exterior `IRing` of the `IPolygon`.

#### getInteriorRingIterator

    Iterator getInteriorRingIterator()

Returns an `Iterator` over the `IPolygon`'s interior `IRings`.

Returns:
  an `Iterator` over the `IPolygon`'s interior `IRings`.

#### getInteriorRingCount

    int getInteriorRingCount()

Returns the number of interior `IRing`s.

Returns:
  the number of interior `IRing`s.

#### getCopy

    IPolygon getCopy(CoordSys crs)

Description copied from interface: `IGeometry`
Get a (permanent) copy of this `IGeometry` transformed to the given coordinate system.

Specified by:
  `getCopy` in interface `IGeometry`
Parameters:
  `crs` - coordinate system of the returned copy
Returns:
  copy of this `IGeometry` in the given coordinate system
See Also:
  `IGeometry.isTransient()`

#### getCopy

    IPolygon getCopy()

Description copied from interface: `IGeometry`
Get a (permanent) copy of this `IGeometry`.

Specified by:
  `getCopy` in interface `IGeometry`
Returns:
  permanent copy of this `IGeometry`.
See Also:
  `IGeometry.getCopy(CoordSys)`, `IGeometry.isTransient()`